yii2 0,9,9,0,-8,12,0,24 editorconfig scrutinizer travis-ci Packagist phpunit

Yii 2: The Fast, Secure and Professional PHP Framework

Yii Framework

Yii 2 is a modern framework designed to be a solid foundation for your PHP application.

It is fast, secure and efficient and works right out of the box pre-configured with reasonable defaults. The framework is easy to adjust to meet your needs, because Yii has been designed to be flexible.

Latest Stable Version Total Downloads Reference Status Build Status Dependency Status HHVM Status Code Coverage Scrutinizer Quality Score Code Climate

Installation

  • The minimum required PHP version of Yii is PHP 5.4.
  • It works best with PHP 7.
  • Follow the Definitive Guide in order to get step by step instructions.

Documentation

Community

Contributing

The framework is Open Source powered by an excellent community.

You may join us and:

Reporting Security issues

Please refer to a special page at the website describing proper workflow for security issue reports.

Directory Structure

build/               internally used build tools
docs/                documentation
framework/           core framework code
tests/               tests of the core framework code

Spreading the Word

Acknowledging or citing Yii 2 is as important as direct contributions.

In presentations

If you are giving a presentation or talk featuring work that makes use of Yii 2 and would like to acknowledge it, we suggest using our logo on your title slide.

In projects

If you are using Yii 2 as part of an OpenSource project, a way to acknowledge it is to use a special badge in your README:

Yii2

If your code is hosted at GitHub, you can place the following in your README.md file to get the badge:

[![Yii2](https://img.shields.io/badge/Powered_by-Yii_Framework-green.svg?style=flat)](http://www.yiiframework.com/)

Related Repositories

yii2-starter-kit

yii2-starter-kit

Yii2 Starter Kit ...

awesome-yii2

awesome-yii2

Yii2 干货集 ...

yii2-admin

yii2-admin

Auth manager for Yii2 (RBAC Manager) ...

yii2-start

yii2-start

Yii2-Start demo ...

yii2-adminlte

yii2-adminlte

Yii2 Advanced Template with Adminlte theme, rbac role, user management ...


Top Contributors

qiangxue samdark cebe klimov-paul SilverFire softark creocoder Ragazzo tonydspaniard pana1990 resurtm lucianobaraglia qiansen1386 LarryUllman githubjeka abrahamgreyson schmunk42 davidsonalencar bizley Mak-Di df2 kartik-v funson86 thiagotalma w3lifer mohorev jaaf Alex-Code suralc nkovacs

Dependencies

package version
php >=5.4.0
ext-mbstring *
ext-ctype *
lib-pcre *
yiisoft/yii2-composer ~2.0.4
ezyang/htmlpurifier ~4.6
cebe/markdown ~1.0.0 | ~1.1.0
bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12
bower-asset/inputmask ~3.2.2 | ~3.3.5
bower-asset/punycode 1.3.*
bower-asset/yii2-pjax ~2.0.1
dev phpunit/phpunit 4.8.34
cebe/indent ~1.0.2
friendsofphp/php-cs-fixer ~2.2.3

Releases

-   2.0.9 zip tar
-   2.0.8 zip tar
-   2.0.7 zip tar
-   2.0.6 zip tar
-   2.0.5 zip tar
-   2.0.4 zip tar
-   2.0.3 zip tar
-   2.0.2 zip tar
-   2.0.1 zip tar
-   2.0.0 zip tar
-   2.0.0-rc zip tar
-   2.0.0-beta zip tar
-   2.0.0-alpha zip tar